lp:ubuntu/quantal-proposed/hplip

Created by Ubuntu Package Importer on 2012-10-11 and last modified on 2012-10-12
Get this branch:
bzr branch lp:ubuntu/quantal-proposed/hplip
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

38. By Till Kamppeter on 2012-10-11

debian/patches/hplip-release-parport.patch: libsane-hpaio does not close
/dev/parportafter checking for a scanner (LP: #1065582, Red Hat bug
#1065582
).

37. By Till Kamppeter on 2012-10-10

* debian/patches/crash-fixes-of-hplip-3-12-10a.patch: Fixed crash in HP
  Device Manager and System Tray due to ValueError exception in HPLIP upgrade
  functionality (LP: #1064889).
* debian/hplip.install, debian/hplip-gui.install: Added some missing program
  file links.

36. By Till Kamppeter on 2012-09-25

* debian/rules: Removed dependency of the "clean" rule on the "configure"
  rule. This prevented from a clean source package being generated.
* debian/hplip.dirs: Create empty /var/lib/hp/ directory when installing so
  that HPLIP can annotate that it installed the plugin (LP: #1055521).
* debian/rules: Made HPLIP build with CUPS 1.6.1 and later by overriding a
  new conditional to hide the private ipp_t data structure in cups/ipp.h by
  adding "-D_IPP_PRIVATE_STRUCTURES=1" to CFLAGS (Problem reported upstream
  to HPLIP as LP: #1056214).

35. By Till Kamppeter on 2012-06-26

debian/control: Let hplip recommend printer-driver-postscript-hp
(LP: #1014478).

34. By Till Kamppeter on 2012-06-20

* New upstream release
   o Added PIN to PRINT support for HP Color LaserJet CM4540 MFP
   o libusb-1.0 support added
   o Added support for: HP DeskJet Ink Advantage 2510, 3525, 4610, 4620,
     5525, 2510, 3520, OfficeJet 4610, 4620, Photosmart 5520, LaserJet 400
     M401, 400 MFP M425, LaserJet Enterprise 500 MFP M525, 500 Color MFP
     M575, LaserJet Professional P 1102w, P1107w, P1107, P1109w, P1109,
     M1137, M1138, M1139, P1567, P1568, P1569, P1607dn, P1608dn, P1609dn
* debian/patches/hp-check-groups.dpatch: Removed, problem solved upstream.
* debian/patches/fax-support-hp-laserjet-m1522nf-mfp.dpatch: Removed,
  applied upstream.
* debian/patches/hp-check_debian.dpatch,
  debian/patches/hpaio-option-duplex.diff: Updated.
* debian/patches/simple-scan-as-default.dpatch,
  debian/patches/make-commafy-correctly-work-with-python-2.dpatch,
  debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
  debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch:
  Refreshed with quilt.
* debian/control: Switch over to libusb 1.0.x.
* debian/control: Added build dependency on dh_autoreconf.
* debian/rules, debian/printer-driver-hpcups.install,
  debian/printer-driver-postscript-hp.install,
  debian/printer-driver-hpijs.install, debian/hpijs-ppds.install: Install
  ppd-updater files with .ppd-updater extension, as the other packages do.

33. By Mark Purcell on 2012-06-10

* hplip-gui Replaces: hplip (<< 3.12.4-2)
  - Fixes "fails to upgrade from 'squeeze'" (Closes: #675307)
  - Add specific package.bug-script files

32. By Mark Purcell on 2012-05-26

* New upstream release
* Switch to source/format 3.0 (quilt) - drop dpatch
* Refreshed debian/patches
* dh_autoreconf debian/autogen.sh & set local-options single-debian-patch
* Update to debian/compat -> 9
* Fix "hardened build flags" patch from Moritz - thanks (Closes: #667828)
* Fix "duplex descriptor uninitialized" patch from Matej (Closes: #583273)
* Fix "please migrate to kde-runtime" patch from Pino (Closes: #666544)

31. By Mark Purcell on 2012-02-18

* New Upstream Release
* Fixup Replaces: for squeeze security updates (Closes: #658056)
  - Fixes "obsolete conffiles not removed on upgrades" (Closes: #645848)
* Cleanup Obsolete Replaces: Depends: Breaks: - support upgrades squeeze+
* Obtain user consent before running hp-check in reportbug
  - Fixes "bug script starts /usr/share/hplip/systray.py" (Closes: #623627)
* Drop legacy Uploaders
* Add hplip Depends: python-gobject-2
  - Fixes "missing dependency causes hp-plugin to fail" (Closes: #600360)

30. By Mark Purcell on 2012-01-12

* Reinstate printer-driver-{hpcups,hpijs}.install
  - Fixes "File "/usr/lib/cups/filter/hpcups" not available: No such file
  or directory" (Closes: #655424)

29. By Mark Purcell on 2012-01-08

* New Upstream Release
* Fix "Please rename the hplip packages to the printer-driver-
  convention" odyx patch - thks (Closes: #649991)
* Fix "debian/control uses hardcoded list of non-Linux architectures"
  Update Build-Depends: libudev-dev [linux-any] (Closes: #634488)
* Fix "hp-scan scans entire job and then reports inability to produce
  PDFs without reportlab" Added Depends: python-reportlab (Closes: #651240)
* Fix "hplip bug report" python handling correct (Closes: #609680)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/raring/hplip
This branch contains Public information 
Everyone can see this information.

Subscribers